function epi_line = rectifiedEpipolarLine( px, img_size)
%RECTIFIEDEPIPOLARLINE calculates the epipolar line for the rectified case
%	
%   inputs:
%       px 2x1 input pixel on one image [col, row]
%       img_size 2x1 image size [cols, rows]
%       EXERCISE5: add a D_range parameter to limit the search range
%                  D_range 2x1 search disparity range
%   outputs:
%       epi_line 2xn all pixel coordinates [col, row] on the epipolar line

assert(isequal(size(px), [2,1]));
assert(isequal(size(img_size), [2,1]));

% EXERCISE 2 : calcualte the epipolar line
% for rectified case, the epipolar line should have the same row
% coordinate as px
epi_line = [];



end

